---
title: Search
slug: serpwow/search-api/searches/yandex/search
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# Yandex Search Parameters

<font color="#52c41a">`GET`</font>  `/search?engine=yandex`

The Yandex Search Parameters are applicable when making a request with  `engine=yandex`  to retrieve Yandex search results for a given search term. The search term is specified in the  `q`  parameter and the optional  `yandex_domain`  parameter can be used to specify the Yandex domain used for the request. Supported Yandex domains are  `yandex.com`  and  `yandex.ru` .

:::hint{type="info"}
**Setting the location of Yandex requests**
The  `yandex_location`  parameter can be used to localize your Yandex request. The  `yandex_location`  parameter is only available on the  `yandex.ru`  domain - i.e. when your request has the  `yandex_domain=yandex.ru`  request parameter set.

View the full list of supported  `yandex_location`  values [here](https://docs.trajectdata.com/serpwow/search-api/reference/yandex-locations)
:::

![](https://apiimages.imgix.net/serpwow/images/png/docs/yandex_search.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Yandex Search Results")

For example, to request Yandex search results for the keyword  `pizza`  on  `yandex.com` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/live/search?api_key=demo&engine=yandex&yandex_domain=yandex.com&q=pizza
```

```curl
curl -L --get https://api.serpwow.com/live/search \
-d api_key="demo" \
-d engine="yandex" \
-d yandex_domain="yandex.com" \
-d q="pizza"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  engine: "yandex",
  yandex_domain: "yandex.com",
  q: "pizza"
}

// make the http GET request
axios.get('https://api.serpwow.com/live/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'engine': 'yandex',
  'yandex_domain': 'yandex.com',
  'q': 'pizza'
}

# make the http GET request
api_result = requests.get('https://api.serpwow.com/live/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'engine' => 'yandex',
  'yandex_domain' => 'yandex.com',
  'q' => 'pizza'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/live/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Yandex Search Parameters

The following parameters are available for all requests made when  `engine=yandex` .

| `Parameter`       | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ----------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `engine`          | `required` | Should be set to `engine=yandex` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `q`               | `required` | The keyword you want to use to perform the search.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `yandex_domain`   | `optional` | The Yandex domain to retrieve search results from. Supported Yandex domains are `yandex.com` and `yandex.ru` . Defaults to `yandex.com` .                                                                                                                                                                                                                                                                                                                                                                                                   |
| `yandex_location` | `optional` | The `yandex_location` parameter determines the Yandex-defined location to show results from. This is typically the country or location in which the user is making requests. For example `yandex_location=177` for Berlin, Germany.  <br />View the full list of supported `yandex_location` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/yandex-locations).  <br />**Note** the `yandex_location` parameter only functions when `yandex_domain=yandex.ru` . It cannot be used with any other `yandex_domain` . |
| `yandex_language` | `optional` | The `yandex_language` parameter determines the Yandex UI language to return results. View the full list of supported `yandex_language` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/yandex-languages).                                                                                                                                                                                                                                                                                                          |
| `page`            | `optional` | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `max_page`        | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/serpwow/search-api/pagination)docs for more information.                                                                                                                                                                                                                                           |

***

**Next Steps**
     [Yandex Search Results](https://docs.trajectdata.com/serpwow/search-api/results/yandex/search)
